Package org.silverpeas.components.datawarning.model

# Class DataWarningQuery

java.lang.Object
org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean
org.silverpeas.components.datawarning.model.DataWarningQuery

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.persistence.jdbc.bean.SilverpeasEntityBean`

public class DataWarningQuery extends org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `QUERY_CONDITION_FIRST`
  `static final int`
  `QUERY_PERSO_NOT_VALID`
  `static final String`
  `QUERY_PERSO_UID_EMAIL`
  `static final String`
  `QUERY_PERSO_UID_ID`
  `static final String`
  `QUERY_PERSO_UID_LASTNAME`
  `static final String`
  `QUERY_PERSO_UID_LOGIN`
  `static final String`
  `QUERY_PERSO_UID_SPECIFICID`
  `static final int`
  `QUERY_PERSO_VALID`
  `static final int`
  `QUERY_TYPE_RESULT`
  `static final int`
  `QUERY_TYPE_TRIGGER`
  `static final int`
  `TRIGGER_CONDITION_DIF`
  `static final int`
  `TRIGGER_CONDITION_EG`
  `static final int`
  `TRIGGER_CONDITION_INF`
  `static final int`
  `TRIGGER_CONDITION_INF_OU_EG`
  `static final int`
  `TRIGGER_CONDITION_SUP`
  `static final int`
  `TRIGGER_CONDITION_SUP_OU_EG`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataWarningQuery()`
  `DataWarningQuery(String instanceId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkTriggerSatisfied(long theValue)`
  `DataWarningQueryResult`
  `executeQuery(DataWarning dataModel)`
  `String`
  `getDescription()`
  `String`
  `getInstanceId()`
  `int`
  `getPersoColNB()`
  `String`
  `getPersoUID()`
  `int`
  `getPersoValid()`
  `String`
  `getQuery()`
  `int`
  `getQueryCondition()`
  `protected String`
  `getTableName()`
  `long`
  `getTheTrigger()`
  `int`
  `getTheTriggerCondition()`
  `long`
  `getTheTriggerPrecedent()`
  `int`
  `getType()`
  `void`
  `setDescription(String description)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setPersoColNB(int persoColNB)`
  `void`
  `setPersoUID(String persoUID)`
  `void`
  `setPersoValid(int persoValid)`
  `void`
  `setQuery(String query)`
  `void`
  `setQueryCondition(int queryCondition)`
  `void`
  `setTheTrigger(long theTrigger)`
  `void`
  `setTheTriggerCondition(int theTriggerCondition)`
  `void`
  `setTheTriggerPrecedent(long theTriggerPrecedent)`
  `void`
  `setType(int type)`

  ### Methods inherited from class org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean

  `getNonNullString, getPK, setPK`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### QUERY_CONDITION_FIRST

    public static final int QUERY_CONDITION_FIRST
    See Also:
      - Constant Field Values

  - ### QUERY_TYPE_RESULT

    public static final int QUERY_TYPE_RESULT
    See Also:
      - Constant Field Values

  - ### QUERY_TYPE_TRIGGER

    public static final int QUERY_TYPE_TRIGGER
    See Also:
      - Constant Field Values

  - ### TRIGGER_CONDITION_SUP

    public static final int TRIGGER_CONDITION_SUP
    See Also:
      - Constant Field Values

  - ### TRIGGER_CONDITION_SUP_OU_EG

    public static final int TRIGGER_CONDITION_SUP_OU_EG
    See Also:
      - Constant Field Values

  - ### TRIGGER_CONDITION_INF

    public static final int TRIGGER_CONDITION_INF
    See Also:
      - Constant Field Values

  - ### TRIGGER_CONDITION_INF_OU_EG

    public static final int TRIGGER_CONDITION_INF_OU_EG
    See Also:
      - Constant Field Values

  - ### TRIGGER_CONDITION_EG

    public static final int TRIGGER_CONDITION_EG
    See Also:
      - Constant Field Values

  - ### TRIGGER_CONDITION_DIF

    public static final int TRIGGER_CONDITION_DIF
    See Also:
      - Constant Field Values

  - ### QUERY_PERSO_NOT_VALID

    public static final int QUERY_PERSO_NOT_VALID
    See Also:
      - Constant Field Values

  - ### QUERY_PERSO_VALID

    public static final int QUERY_PERSO_VALID
    See Also:
      - Constant Field Values

  - ### QUERY_PERSO_UID_ID

    public static final String QUERY_PERSO_UID_ID
    See Also:
      - Constant Field Values

  - ### QUERY_PERSO_UID_LOGIN

    public static final String QUERY_PERSO_UID_LOGIN
    See Also:
      - Constant Field Values

  - ### QUERY_PERSO_UID_LASTNAME

    public static final String QUERY_PERSO_UID_LASTNAME
    See Also:
      - Constant Field Values

  - ### QUERY_PERSO_UID_SPECIFICID

    public static final String QUERY_PERSO_UID_SPECIFICID
    See Also:
      - Constant Field Values

  - ### QUERY_PERSO_UID_EMAIL

    public static final String QUERY_PERSO_UID_EMAIL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DataWarningQuery

    public DataWarningQuery()

  - ### DataWarningQuery

    public DataWarningQuery(String instanceId)

- ## Method Details

  - ### getInstanceId

    public String getInstanceId()

  - ### setInstanceId

    public void setInstanceId(String instanceId)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getQuery

    public String getQuery()

  - ### setQuery

    public void setQuery(String query)

  - ### getQueryCondition

    public int getQueryCondition()

  - ### setQueryCondition

    public void setQueryCondition(int queryCondition)

  - ### getType

    public int getType()

  - ### setType

    public void setType(int type)

  - ### getTheTrigger

    public long getTheTrigger()

  - ### setTheTrigger

    public void setTheTrigger(long theTrigger)

  - ### getTheTriggerCondition

    public int getTheTriggerCondition()

  - ### setTheTriggerCondition

    public void setTheTriggerCondition(int theTriggerCondition)

  - ### getTheTriggerPrecedent

    public long getTheTriggerPrecedent()

  - ### setTheTriggerPrecedent

    public void setTheTriggerPrecedent(long theTriggerPrecedent)

  - ### getTableName

    @NonNull protected String getTableName()
    Specified by:
      `getTableName` in class `org.silverpeas.core.persistence.jdbc.bean.SilverpeasBean`

  - ### executeQuery

    public DataWarningQueryResult executeQuery(DataWarning dataModel)

  - ### checkTriggerSatisfied

    public boolean checkTriggerSatisfied(long theValue)

  - ### getPersoColNB

    public int getPersoColNB()
    Returns:
      Returns the persoColNB.

  - ### setPersoColNB

    public void setPersoColNB(int persoColNB)
    Parameters:
      `persoColNB` - The persoColNB to set.

  - ### getPersoUID

    public String getPersoUID()
    Returns:
      Returns the persoUID.

  - ### setPersoUID

    public void setPersoUID(String persoUID)
    Parameters:
      `persoUID` - The persoUID to set.

  - ### getPersoValid

    public int getPersoValid()
    Returns:
      Returns the persoValid.

  - ### setPersoValid

    public void setPersoValid(int persoValid)
    Parameters:
      `persoValid` - The persoValid to set.